## grafix 1.4

=== Makefile ===
# Makefile for grafix-applications  
#	wolf 6/94

include grafix.mk

DEMOS = class-browser earth hello win-demo edit-demo file-browser cursors calc \
	dir-tree font-browser \
	pal-demo lat-demo lat2demo one-dim two-dim clock-demo three-dim \
	replay mandel

PROGS = scrolled_demo 

ifeq ($(shell uname),Linux) 
	PROGS += hardcopy 
endif

TOSHAR = window.c window.h lat_win.c lat_man.c reg_man.c lattice.h \
	palette.c palette.h files.c files.h smolark.c smolark.h solver.c \
	font-selector.c font-selector.h \
	mapdata.c hardcopy.c \
	animator.h animator.c wave.c three-nxnynz.h \
	icon.h eventnames.h README.txt HOWTO.txt COPYING LOG.txt TODO.txt \
	FAQ.txt Makefile grafix.mk \
	calc.icon tree.h tree.c tree_icon.h gccinc \
	$(DEMOS:%=%.c) $(PROGS:%=%.c) 

all:	demos $(PROGS)
allnew: depend all

demos: 	$(DEMOS)

test: 	clean depend all tgz test-tgz

# make demos = ~ 100 sec P90

# the classes to lattice.h are located in files lat_win, lat_man, reg_man
LATTICE = lat_win.o lat_man.o reg_man.o

libwin.a: window.o palette.o $(LATTICE) 
	$(AR) libwin.a $?
	ranlib libwin.a

earth:		earth.o mapdata.o window.o
mandel:		mandel.o window.o
font-browser: 	font-browser.o window.o font-selector.o files.o
hardcopy:	hardcopy.o window.o
hello: 		hello.o window.o
win-demo: 	win-demo.o window.o
edit-demo: 	edit-demo.o window.o
cursors: 	cursors.o window.o
calc: 		calc.o window.o
pal-demo: 	pal-demo.o libwin.a
lat-demo: 	lat-demo.o libwin.a
lat2demo: 	lat2demo.o libwin.a
one-dim: 	one-dim.o solver.o libwin.a
two-dim: 	two-dim.o smolark.o libwin.a
three-dim: 	three-dim.o wave.o animator.o files.o libwin.a
file-browser: 	file-browser.o files.o window.o
clock-demo: 	clock-demo.o window.o
replay: 	replay.o animator.o  files.o libwin.a
tree: 		tree.o window.o files.o
scrolled_demo: 	scrolled_demo.o window.o 
class-browser: 	class-browser.o tree.o window.o files.o
dir-tree: 	dir-tree.o tree.o window.o files.o

clean:
	\rm -f *.o *.a $(DEMOS) $(PROGS)
	\rm -rf ttgz/*
	\rm -rf tshar/*

masterproper: clean
	\rm -f .depend

####### make shell archives for comp.sources.misc -> subdir post #####
shar:
	shar -o Grafix.shar -l 100 -n Grafix  -a -s wolf@first.gmd.de \
	$(TOSHAR)
	cat intro.txt Grafix.shar.01 > tmp; mv -f tmp Grafix.shar.01

test-shar:
	\rm -rf tshar/*
	cp *.shar* tshar/
	cd tshar; unshar *shar*; $(MAKE) demos;

###### generate tar-file for uploading to sunsite #####
# "make tgz" - generates grafix.tar.gz file
# NEWDIR is a symbolic link into the actual directory, used as destination
# directory for expanding on other systems

VERSION = 1.4
NEWDIR  = grafix-$(VERSION)
TARFILE = $(NEWDIR).tar.gz
tgz: 
	ln -s . $(NEWDIR)
	$(TAR) -czh -f $(NEWDIR)/$(TARFILE) $(TOSHAR:%=$(NEWDIR)/%) 
	uuencode $(TARFILE) $(TARFILE) > $(TARFILE).uu
	\rm $(NEWDIR)

test-tgz:
	$(TAR) -xvzf $(TARFILE); 
	cd $(NEWDIR); $(MAKE) allnew;


# runs all the demos :
demorun: $(DEMOS)
	@for demo in $(DEMOS); do (echo "running $$demo"; exec $$demo;); done

# make dependencies:
depend:	
	$(CC) -MM $(CFLAGS) *.c > .depend

-include	.depend

## grafix 1.5-1.1

=== Makefile ===
# Makefile for grafix-applications  
#	wolf 6/94

include grafix.mk

# This will be overidden in debian/rules
vers = 1.5

DEMOS = class-browser earth hello win-demo edit-demo file-browser cursors calc \
	dir-tree font-browser \
	pal-demo lat-demo lat2demo one-dim two-dim clock-demo three-dim \
	replay mandel

PROGS = scrolled_demo 

ifeq ($(shell uname),Linux) 
	PROGS += hardcopy 
endif

TOSHAR = window.c helper.c window.h lat_win.c lat_man.c reg_man.c lattice.h \
	palette.c palette.h files.c files.h smolark.c smolark.h solver.c \
	font-selector.c font-selector.h \
	mapdata.c hardcopy.c \
	animator.h animator.c wave.c three-nxnynz.h \
	icon.h eventnames.h README.txt HOWTO.txt COPYING LOG.txt TODO.txt \
	FAQ.txt Makefile grafix.mk \
	calc.icon tree.h tree.c tree_icon.h gccinc \
	$(DEMOS:%=%.c) $(PROGS:%=%.c) 

#all:	libgrafix.so  demos $(PROGS)
all:	libgrafix.so   libgrafix.a

allnew: depend all

demos: 	$(DEMOS)

test: 	clean depend all dist-tgz test-tgz

# make demos = ~ 100 sec P90

#libwin.a: window.o $(LIB_SRC:%=%.o) 
#	$(AR) libwin.a $?
#	ranlib libwin.a

libgrafix.so:  $(LIB_SRC:%=%.o) 
	$(CC) -shared -o libgrafix.so $? -Wl,-soname -Wl,libgrafix.so.$(vers)

libgrafix.a:  $(LIB_SRC:%=%.o) 
	$(AR) libgrafix.a $?
	ranlib libgrafix.a

earth:		earth.o mapdata.o window.o
	$(CC)  -o  earth earth.o mapdata.o $(LFLAGS) -L. -lgrafix 	
mandel:		mandel.o window.o
	$(CC)  -o   mandel mandel.o $(LFLAGS) -L. -lgrafix 
font-browser: 	font-browser.o window.o font-selector.o files.o
	$(CC)  -o  font-browser font-browser.o font-selector.o files.o  $(LFLAGS) -L. -lgrafix
hardcopy:	hardcopy.o window.o
	$(CC)  -o  hardcopy  hardcopy.o $(LFLAGS) -L. -lgrafix 
hello: 		hello.o window.o
	$(CC)  -o  hello hello.o  $(LFLAGS) -L. -lgrafix
win-demo: 	win-demo.o window.o
	$(CC)  -o  win-demo win-demo.o $(LFLAGS) -L. -lgrafix 
calc: 		calc.o window.o
	$(CC)  -o calc calc.o  $(LFLAGS) -L. -lgrafix 	
edit-demo: 	edit-demo.o window.o
	$(CC)  -o edit-demo  edit-demo.o $(LFLAGS) -L. -lgrafix
cursors: 	cursors.o window.o
	$(CC)  -o   cursors cursors.o $(LFLAGS) -L. -lgrafix 
pal-demo: 	pal-demo.o
	$(CC)  -o   pal-demo pal-demo.o $(LFLAGS) -L. -lgrafix 
lat-demo: 	lat-demo.o 
	$(CC)  -o   lat-demo   lat-demo.o  $(LFLAGS) -L. -lgrafix 
lat2demo: 	lat2demo.o 
	$(CC)  -o   lat2demo lat2demo.o $(LFLAGS) -L. -lgrafix 
one-dim: 	one-dim.o solver.o 
	$(CC)  -o  one-dim one-dim.o solver.o  $(LFLAGS) -L. -lgrafix 
two-dim: 	two-dim.o smolark.o 
	$(CC)  -o  two-dim two-dim.o smolark.o  $(LFLAGS) -L. -lgrafix 

three-dim: 	three-dim.o wave.o animator.o files.o
	$(CC)  -o   three-dim three-dim.o wave.o animator.o files.o $(LFLAGS) -L. -lgrafix 

file-browser: 	file-browser.o  window.o files.o
	$(CC)  -o   file-browser file-browser.o  files.o $(LFLAGS) -L. -lgrafix 

clock-demo: 	clock-demo.o window.o
	$(CC)  -o   clock-demo  clock-demo.o window.o  $(LFLAGS) -L. -lgrafix 

replay: 	replay.o animator.o  files.o 
	$(CC)  -o   replay replay.o animator.o  files.o  $(LFLAGS) -L. -lgrafix 

tree: 		tree.o window.o files.o
	$(CC)  -o   tree tree.o files.o $(LFLAGS) -L. -lgrafix 

scrolled_demo: 	scrolled_demo.o window.o 
	$(CC)  -o  scrolled_demo scrolled_demo.o  $(LFLAGS) -L. -lgrafix 

class-browser: 	class-browser.o tree.o window.o files.o
	$(CC)  -o   class-browser class-browser.o tree.o files.o $(LFLAGS) -L. -lgrafix 

dir-tree: 	dir-tree.o tree.o window.o files.o
	$(CC)  -o   dir-tree dir-tree.o tree.o files.o $(LFLAGS) -L. -lgrafix 

clean:
	\rm -f *.o *.a $(DEMOS) $(PROGS)
	\rm -rf ttgz/*
	\rm -rf tshar/*

masterproper: clean
	\rm -f .depend

####### make shell archives for comp.sources.misc -> subdir post #####
shar:
	shar -o Grafix.shar -l 100 -n Grafix  -a -s wolf@first.gmd.de \
	$(TOSHAR)
	cat intro.txt Grafix.shar.01 > tmp; mv -f tmp Grafix.shar.01

test-shar:
	\rm -rf tshar/*
	cp *.shar* tshar/
	cd tshar; unshar *shar*; $(MAKE) demos;

###### generate tar-file for uploading to sunsite #####
# "make dist-tgz" - generates grafix.tar.gz file for distributions
# NEWDIR is a symbolic link into the actual directory, used as destination
# directory for expanding on other systems

VERSION = 1.5
NEWDIR  = grafix-$(VERSION)
TARFILE = $(NEWDIR).tar.gz
dist-tgz: 
	ln -s . $(NEWDIR)
	$(TAR) -czh -f $(NEWDIR)/$(TARFILE) $(TOSHAR:%=$(NEWDIR)/%) 
	uuencode $(TARFILE) $(TARFILE) > $(TARFILE).uu
	\rm $(NEWDIR)

test-tgz:
	$(TAR) -xvzf $(TARFILE); 
	cd $(NEWDIR); $(MAKE) allnew;

tgz:
	$(TAR) -cvzf grafix.tgz *.h *.c *.txt *.mk Makefile

# runs all the demos :
demorun: $(DEMOS)
	@for demo in $(DEMOS); do (echo "running $$demo"; exec $$demo;); done

# make dependencies:
depend:	
	$(CC) -MM $(CFLAGS) *.c > .depend

-include	.depend

=== debian/changelog ===
grafix (1.5-1.1) unstable; urgency=low

  * NMU to fix compile problems with new g++ (closes: #50097)
  * Fixed minor bugs in /usr/doc/grafix/examples/Makefile
    to allow those to compile with new g++ also

 -- Hamish Moffatt <hamish@debian.org>  Sat, 20 Nov 1999 17:08:58 +1100

grafix (1.5-1) unstable; urgency=low

  * New upstream source
    Compiles now with egcs

  * Fixed making of examples
  
 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  1 Jul 1999 04:40:15 -0700

grafix (1.4-2) unstable; urgency=low

  * Fixed depends line

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 22 Jul 1998 18:39:24 -0700

grafix (1.4-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 10 Jul 1998 14:53:28 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "lapeyre@physics.arizona.edu"
End:

=== debian/control ===
Source: grafix
Section: math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: grafix
Architecture: any
Depends: ${shlibs:Depends}
Description: scientific visualization library.
 "Grafix" is a utility originally designed to help scientists in the 
 visualization of results of a computation, e.g. for numerical integrations of 
 partial differential equations. 
 .
 It can be used, however, for any application that wants to use X for 
 drawing pictures, functions or other graphic objects in a convenient 
 interactive manner or even for writing a graphical user interface for any task.
 .
 Grafix should be considered as a layer between an application and the X Window
 system built up of a bunch of basic classes as building elements. 
 The simplest way of using it is to define instances of these classes. 
 For more complicated programs the user has to define own derivations to the
 basic classes.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=grafix

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

curdir=$(shell pwd)

headers = animator.h eventnames.h files.h font-selector.h icon.h \
	lattice.h palette.h smolark.h three-nxnynz.h tree.h tree_icon.h window.h

docs = FAQ.txt HOWTO.txt LOG.txt README.txt TODO.txt

exampbin =  calc class-browser clock-demo cursors dir-tree earth \
         edit-demo file-browser font-browser hello lat-demo \
	lat2demo  mandel one-dim  pal-demo replay scrolled_demo three-dim \
	two-dim win-demo

exampsrc = calc.c calc.icon  class-browser.c files.c dir-tree.c  file-browser.c \
	 mandel.c font-browser.c font-selector.c clock-demo.c mapdata.c \
	three-dim.c pal-demo.c one-dim.c two-dim.c cursors.c hello.c lat-demo.c win-demo.c \
	earth.c	 lat2demo.c edit-demo.c scrolled_demo.c solver.c smolark.c wave.c \
	animator.c replay.c tree.c

build:
	$(checkdir)
	vers=$(version); export vers; export PICFLAG=-fpic; make -e  libgrafix.so
	rm -f *.o
	vers=$(version); export vers; make -e libgrafix.a
	touch build

clean:
	$(checkdir)
	-make clean

	-rm -f build

	-rm -f *.so

	-rm -f `find . -name "*~"`

	-rm -rf debian/tmp `find debian/* -type d ! -name CVS` debian/files* core

	-rm -f debian/*substvars

binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr/doc/$(package)/examples
	install -d debian/tmp/usr/lib/$(package)
	install -d debian/tmp/usr/include/$(package)
	install -d debian/tmp/usr/man/man1
	install -d debian/tmp/usr/man/man3
	cp $(headers)   debian/tmp/usr/include/$(package)
	chmod 644 debian/tmp/usr/include/$(package)/*
	cp $(docs)  debian/tmp/usr/doc/$(package)
	chmod 644 debian/tmp/usr/doc/$(package)/*
#	cp $(exampbin) debian/tmp/usr/doc/$(package)/examples
	cp  debian/README.examples debian/tmp/usr/doc/$(package)/examples
	cp debian/Makefile.examples debian/tmp/usr/doc/$(package)/examples/Makefile
	cp $(exampsrc) debian/tmp/usr/doc/$(package)/examples
	install -m644 lib$(package).so  debian/tmp/usr/lib/lib$(package).so.$(version)
	cd debian/tmp/usr/lib; ln -s lib$(package).so.$(version) lib$(package).so.1
	cd debian/tmp/usr/lib; ln -s lib$(package).so.1 lib$(package).so
	cp libgrafix.a debian/tmp/usr/lib/
	debstd 
	dpkg-shlibdeps lib$(package).so 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
#	chmod +x debian/tmp/usr/doc/$(package)/examples/*
#	chmod +x debian/tmp/usr/bin/factorint debian/tmp/usr/bin/induce
	dpkg --build debian/tmp ..


define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## grafix 1.6

=== Makefile ===
# Makefile for grafix-applications  
#	wolf 6/94

include grafix.mk

DEMOS = class-browser earth hello win-demo edit-demo file-browser cursors calc \
	dir-tree font-browser \
	pal-demo lat-demo lat2demo one-dim two-dim clock-demo three-dim \
	replay mandel 

PROGS = scrolled_demo mandel-new

ifeq ($(shell uname),Linux) 
	PROGS += hardcopy 
endif

TOSHAR = window.c helper.c window.h lat_win.c lat_man.c reg_man.c lattice.h \
	palette.c palette.h files.c files.h smolark.c smolark.h solver.c \
	font-selector.c font-selector.h \
	mapdata.c hardcopy.c jpeg.c \
	animator.h animator.c wave.c three-nxnynz.h \
	icon.h eventnames.h README.txt HOWTO.txt COPYING LOG.txt TODO.txt \
	FAQ.txt Makefile grafix.mk \
	calc.icon tree.h tree.c tree_icon.h rx.h rx.c mandel-new.c mandel.lst \
	$(DEMOS:%=%.c) $(PROGS:%=%.c) 

all:	libwin.a jpeg.o demos $(PROGS)
allnew: depend all

demos: 	$(DEMOS)

test: 	clean depend all dist-tgz test-tgz

# make demos = ~ 100 sec P90

libwin.a: window.o $(LIB_SRC:%=%.o) 
	$(AR) libwin.a $?
	ranlib libwin.a

# regexp lib, from gcc/librx, not installed on Suns, needed in classbrowser only, 
# rx.hc is really C (not C++) 
ifdef NEED_RX
rx.o:	rx.c rx.h
	gcc -c -w rx.c  
RXOBJ := rx.o
endif

mandel-new: 	mandel-new.o window.o
earth:		earth.o mapdata.o window.o
mandel:		mandel.o window.o
font-browser: 	font-browser.o window.o font-selector.o files.o
hardcopy:	hardcopy.o window.o
hello: 		hello.o window.o
win-demo: 	win-demo.o window.o
edit-demo: 	edit-demo.o window.o
cursors: 	cursors.o window.o
calc: 		calc.o window.o
pal-demo: 	pal-demo.o libwin.a
lat-demo: 	lat-demo.o libwin.a
lat2demo: 	lat2demo.o libwin.a
one-dim: 	one-dim.o solver.o libwin.a
two-dim: 	two-dim.o smolark.o libwin.a
three-dim: 	three-dim.o wave.o animator.o libwin.a
file-browser: 	file-browser.o window.o files.o
clock-demo: 	clock-demo.o window.o
replay: 	replay.o animator.o libwin.a
tree: 		tree.o window.o files.o
scrolled_demo: 	scrolled_demo.o window.o 
class-browser: 	class-browser.o tree.o window.o files.o $(RXOBJ)
dir-tree: 	dir-tree.o tree.o window.o files.o

clean:
	\rm -f *.o *.a $(DEMOS) $(PROGS)
	\rm -rf ttgz/*
	\rm -rf tshar/*

masterproper: clean
	\rm -f .depend

####### make shell archives for comp.sources.misc -> subdir post #####
shar:
	shar -o Grafix.shar -l 100 -n Grafix  -a -s wolf@first.gmd.de \
	$(TOSHAR)
	cat intro.txt Grafix.shar.01 > tmp; mv -f tmp Grafix.shar.01

test-shar:
	\rm -rf tshar/*
	cp *.shar* tshar/
	cd tshar; unshar *shar*; $(MAKE) demos;

###### generate tar-file for uploading to sunsite #####
# "make dist-tgz" - generates grafix.tar.gz file for distributions
# NEWDIR is a symbolic link into the actual directory, used as destination
# directory for expanding on other systems

VERSION = 1.6
NEWDIR  = grafix-$(VERSION)
TARFILE = $(NEWDIR).tar.gz
dist-tgz: 
	ln -s . $(NEWDIR)
	$(TAR) -czh -f $(NEWDIR)/$(TARFILE) $(TOSHAR:%=$(NEWDIR)/%) 
	uuencode $(TARFILE) $(TARFILE) > $(TARFILE).uu
	\rm $(NEWDIR)

test-tgz:
	$(TAR) -xvzf $(TARFILE); 
	cd $(NEWDIR); $(MAKE) allnew;

tgz:
	$(TAR) -cvzf grafix.tgz *.h *.c *.C *.icon *.txt *.mk *.lst Makefile

# runs all the demos :
demorun: $(DEMOS)
	@for demo in $(DEMOS); do (echo "running $$demo"; exec $$demo;); done

# make dependencies:
depend:	
	$(CC) -MM $(CFLAGS) *.c > .depend

-include	.depend
